## GSimplePermission GSimplePermission — A GPermission that doesn't change value |

## Functions

GPermission * | g_simple_permission_new ()

## Types and Values

| GSimplePermission

## Object Hierarchy

        GObject
        ╰── GPermission
            ╰── GSimplePermission

## Includes

    #include <gio/gio.h>

## Description

GSimplePermission is a trivial implementation of GPermission that represents a permission that is either always or never allowed. The value is given at construction and doesn't change.

Calling request or release will result in errors.

## Functions

### g_simple_permission_new ()

    GPermission *
    g_simple_permission_new (gboolean allowed);

Creates a new GPermission instance that represents an action that is either always or never allowed.

#### Parameters

allowed | `TRUE` if the action is allowed |

#### Returns

the GSimplePermission, as a GPermission

Since 2.26

## Types and Values

### GSimplePermission

    typedef struct _GSimplePermission GSimplePermission;

GSimplePermission is an opaque data structure. There are no methods except for those defined by GPermission.